View Issue Details

IDProjectCategoryView StatusLast Update
0032661CommunityOCCT:Codingpublic2021-11-21 13:00
Reporterdipts Assigned Toinv  
PrioritynormalSeverityminor 
Status verifiedResolutionfixed 
Product Version7.6.0 
Target Version7.6.1 
Summary0032661: Coding - Forward class declaration in ProjLib collides with typeref
DescriptionThe following classes were replaced with typerefs, but still declared as class in ProjLib. This leads to a compiler error when including both ProjLib.hxx and any header file defining the type ref.

ProjLib_HProjectedCurve
ProjLib_HCompProjectedCurve
Steps To Reproduce#include "ProjLib_HProjectedCurve.hxx"
#include "ProjLib.hxx"
TagsNo tags attached.
Test case numberN/A

Relationships

child of 0028966 closedbugmaster Coding Rules - remove Adaptor2d_HCurve2d, Adaptor3d_HCurve and Adaptor3d_HSurface classes 

Activities

git

2021-11-13 14:50

administrator   ~0105166

Branch CR32661 has been created by dipts.

SHA-1: b5f493b3b08e14aa52cfd047e55e48105b3c23c1


Detailed log of new commits:

Author: dipts
Date: Sat Nov 13 12:49:17 2021 +0100

    0032661: Forward class declaration in ProjLib collides with typeref
    
    Removed forward class and friend class declarations of classes which were replaced with a typeref.

git

2021-11-14 13:50

administrator   ~0105174

Branch CR32661 has been updated by kgv.

SHA-1: 7cf3c5d8cf60fd3fe2b5d6fe74e0b95c804bfe39


Detailed log of new commits:

Author: kgv
Date: Sun Nov 14 13:50:07 2021 +0300

    Removed redundant forward declarations from ProjLib.hxx.

git

2021-11-14 13:51

administrator   ~0105175

Branch CR32661_1 has been created by kgv.

SHA-1: 718948aecb6a525f7181b4926f054dfb393347ed


Detailed log of new commits:

Author: dipts
Date: Sat Nov 13 12:49:17 2021 +0100

    0032661: Coding - Forward class declaration in ProjLib collides with typeref
    
    Removed redundant forward declarations from ProjLib.hxx.

kgv

2021-11-14 17:28

developer   ~0105180

Please raise the patch
- OCCT: branch CR32661_1.

http://jenkins-test-12.nnov.opencascade.com/view/CR32661_1-master-KGV

bugmaster

2021-11-21 12:31

administrator   ~0105291

Combination -
OCCT branch : IR-2021-11-19
master SHA - ea0ffd6efe2e05d9764495fa0a877ab75ab5f4e9
49e51745631c52b6c452c65adae4d6dfa21a1b1e
Products branch : IR-2021-11-19 SHA - 24ac02cc67913557271bc70687b86b53e78f9c44
was compiled on Linux, MacOS and Windows platforms and tested in optimize mode.

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
Debian80-64:
OCCT
Total CPU difference: 17763.090000000444 / 17742.320000000425 [+0.12%]
Products
Total CPU difference: 11658.550000000125 / 11669.660000000133 [-0.10%]
Windows-64-VC14:
OCCT
Total CPU difference: 19745.71875 / 19762.140625 [-0.08%]
Products
Total CPU difference: 13066.0625 / 12843.21875 [+1.74%]


Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention

git

2021-11-21 13:00

administrator   ~0105310

Branch CR32661 has been deleted by mnt.

SHA-1: 7cf3c5d8cf60fd3fe2b5d6fe74e0b95c804bfe39

git

2021-11-21 13:00

administrator   ~0105311

Branch CR32661_1 has been deleted by mnt.

SHA-1: 718948aecb6a525f7181b4926f054dfb393347ed

Related Changesets

occt: master 9eab1511

2021-11-13 11:49:17

dipts


Committer: inv Details Diff
0032661: Coding - Forward class declaration in ProjLib collides with typeref

Removed redundant forward declarations from ProjLib.hxx.
Affected Issues
0032661
mod - src/ProjLib/ProjLib.cxx Diff File
mod - src/ProjLib/ProjLib.hxx Diff File

Issue History

Date Modified Username Field Change
2021-11-13 14:48 dipts New Issue
2021-11-13 14:48 dipts Assigned To => kgv
2021-11-13 14:50 git Note Added: 0105166
2021-11-13 14:50 dipts Status new => resolved
2021-11-14 13:42 kgv Relationship added child of 0028966
2021-11-14 13:50 git Note Added: 0105174
2021-11-14 13:51 git Note Added: 0105175
2021-11-14 17:28 kgv Test case number => N/A
2021-11-14 17:28 kgv Note Added: 0105180
2021-11-14 17:28 kgv Assigned To kgv => bugmaster
2021-11-14 17:28 kgv Status resolved => reviewed
2021-11-21 12:27 bugmaster Status reviewed => tested
2021-11-21 12:31 bugmaster Note Added: 0105291
2021-11-21 12:46 inv Changeset attached => occt master 9eab1511
2021-11-21 12:46 inv Assigned To bugmaster => inv
2021-11-21 12:46 inv Status tested => verified
2021-11-21 12:46 inv Resolution open => fixed
2021-11-21 13:00 git Note Added: 0105310
2021-11-21 13:00 git Note Added: 0105311
2022-03-04 15:20 ifv Time allocated 2.3.2022: 6 h. => set
2022-03-04 15:20 ifv Time allocated 4.3.2022: 6 h. => set
2022-03-04 15:20 ifv Time allocated 4.3.2022: 6 h. => set
2022-03-04 15:21 ifv Time allocated Deleted 2022-03-04: 6,00 h. => deleted
2022-03-04 15:21 ifv Time allocated Deleted 2022-03-04: 6,00 h. => deleted
2022-03-04 15:21 ifv Time allocated Deleted 2022-03-02: 6,00 h. => deleted